Index: src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision 68d02caf4319eccf561e8c0d8dd7188ab232094a)
+++ src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision cbdbb49d8609a4662c873e71b163aa1dad070f17)
@@ -38,22 +38,5 @@
             if (questionState.AnswersDto.Any())
             {
-                answers = questionState.AnswersDto.Select(x =>
-                {
-                    IEnumerable<AnswerResponseQuestionStateResponse> answerResponses = Enumerable.Empty<AnswerResponseQuestionStateResponse>();
-
-                    if (x.AnswerResponsesDto.Any())
-                    {
-                        answerResponses = x.AnswerResponsesDto.Select(y =>
-                        {
-                            var answerResponseStudent = new AnswerResponseStudentQuestionStateResponse(y.StudentDto.Id, y.StudentDto.Uid, y.StudentDto.Index, y.StudentDto.ImageUrl, y.StudentDto.Reputation);
-
-                            return ToAnswerResponseQuestionStateResponse(y);
-                        });
-                    }
-
-                    var answerStudent = new AnswerStudentQuestionStateResponse(x.StudentDto.Id, x.StudentDto.Uid, x.StudentDto.Index, x.StudentDto.ImageUrl, x.StudentDto.Reputation);
-
-                    return new AnswerQuestionStateResponse(x.Id, x.Uid, x.Text, x.CorrectAnswer, x.CreatedOn, x.VotesCount, answerStudent, answerResponses);
-                });
+                answers = questionState.AnswersDto.Select(x => ToAnswerQuestionStateResponse(x));
             }
 
@@ -77,4 +60,18 @@
         }
 
+        public static AnswerQuestionStateResponse ToAnswerQuestionStateResponse(this AnswerQuestionStateDto dto)
+        {
+            IEnumerable<AnswerResponseQuestionStateResponse> answerResponses = Enumerable.Empty<AnswerResponseQuestionStateResponse>();
+
+            if (dto.AnswerResponsesDto.Any())
+            {
+                answerResponses = dto.AnswerResponsesDto.Select(y => ToAnswerResponseQuestionStateResponse(y));
+            }
+
+            var answerStudent = new AnswerStudentQuestionStateResponse(dto.StudentDto.Id, dto.StudentDto.Uid, dto.StudentDto.Index, dto.StudentDto.ImageUrl, dto.StudentDto.Reputation);
+
+            return new AnswerQuestionStateResponse(dto.Id, dto.Uid, dto.Text, dto.CorrectAnswer, dto.CreatedOn, dto.VotesCount, answerStudent, answerResponses);
+        }
+
         public static AnswerResponseQuestionStateResponse ToAnswerResponseQuestionStateResponse(this AnswerResponseQuestionStateDto dto)
         {
Index: src/FinkiChattery/FinkiChattery.Api/Controllers/v1/AnswersController.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Controllers/v1/AnswersController.cs	(revision 68d02caf4319eccf561e8c0d8dd7188ab232094a)
+++ src/FinkiChattery/FinkiChattery.Api/Controllers/v1/AnswersController.cs	(revision cbdbb49d8609a4662c873e71b163aa1dad070f17)
@@ -1,3 +1,4 @@
 ﻿using FinkiChattery.Api.ApplicationServices.Authentication;
+using FinkiChattery.Api.ApplicationServices.Questioning;
 using FinkiChattery.Commands.Questioning;
 using FinkiChattery.Common.Mediator.Interfaces;
@@ -27,6 +28,6 @@
         public async Task<IActionResult> AnswerQuestion([FromRoute] Guid questionUid, [FromBody] AnswerQuestionRequest request)
         {
-            var answerUid = await MediatorService.SendAsync(new AnswerQuestionCommand(questionUid, request.Text));
-            return Ok(answerUid);
+            var answer = await MediatorService.SendAsync(new AnswerQuestionCommand(questionUid, request.Text));
+            return Ok(answer.ToAnswerQuestionStateResponse());
         }
 
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/AnswerQuestion/AnswerQuestionCommand.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/AnswerQuestion/AnswerQuestionCommand.cs	(revision 68d02caf4319eccf561e8c0d8dd7188ab232094a)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/AnswerQuestion/AnswerQuestionCommand.cs	(revision cbdbb49d8609a4662c873e71b163aa1dad070f17)
@@ -3,6 +3,8 @@
 using FinkiChattery.Common.User;
 using FinkiChattery.Persistence.Models;
+using FinkiChattery.Persistence.Repositories.Contracts;
 using FinkiChattery.Persistence.UnitOfWork;
 using System;
+using System.Linq;
 using System.Threading;
 using System.Threading.Tasks;
@@ -10,5 +12,5 @@
 namespace FinkiChattery.Commands.Questioning
 {
-    public class AnswerQuestionCommand : ICommand<Guid>
+    public class AnswerQuestionCommand : ICommand<AnswerQuestionStateDto>
     {
         public AnswerQuestionCommand(Guid questionUid, string text)
@@ -22,5 +24,5 @@
     }
 
-    public class AnswerQuestionHandler : ICommandHandler<AnswerQuestionCommand, Guid>
+    public class AnswerQuestionHandler : ICommandHandler<AnswerQuestionCommand, AnswerQuestionStateDto>
     {
         public AnswerQuestionHandler(IUnitOfWork unitOfWork, ICurrentUser currentUser, IEventService eventService)
@@ -35,5 +37,5 @@
         public IEventService EventService { get; }
 
-        public async Task<Guid> Handle(AnswerQuestionCommand request, CancellationToken cancellationToken)
+        public async Task<AnswerQuestionStateDto> Handle(AnswerQuestionCommand request, CancellationToken cancellationToken)
         {
             var question = await UnitOfWork.Questions.GetByUidAsync(request.QuestionUid);
@@ -52,5 +54,16 @@
             EventService.Enqueue(new QuestionAnsweredEvent(question.Uid, answer.Uid, student.Uid));
 
-            return answer.Uid;
+            return new AnswerQuestionStateDto(answer.Id,
+                                              answer.Uid,
+                                              answer.Text,
+                                              answer.CorrectAnswer,
+                                              answer.CreatedOn,
+                                              answer.VotesCount,
+                                              new AnswerStudentQuestionStateDto(student.Id,
+                                                                                student.Uid,
+                                                                                student.IndexNumber,
+                                                                                student.ImageUrl,
+                                                                                student.Reputation),
+                                              Enumerable.Empty<AnswerResponseQuestionStateDto>());
         }
     }
